storm-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Przemek Grzędzielski <przemo.grzedziel...@gmail.com>
Subject Re: Building Storm
Date Wed, 28 May 2014 15:45:21 GMT
Hi Stormers,

made some progress on Mac OS X - the thing was about java versions.

Maven version: 3.2.1.
Storm build yields the mentioned error when I run Java 8 (Oracle's JDK).
After switching to Java 6 (Apple's JDK) the build succeeds.

I'll try playing with jdk versions on Ubuntu 12.04 later on.

Regards,

Przemek


2014-05-28 17:17 GMT+02:00 Harsha <storm@harsha.io>:

>  I assume you are using oracle jdk. I tested on ubuntu 12.04  with
> maven 3.2.1, git 1.7.9 , java 1.7.0_55, python 2.7.3, ruby 1.8.7.
>
> On Wed, May 28, 2014, at 08:01 AM, Justin Workman wrote:
>
> On Ubuntu 12.04 I have tried with Maven 3.0.4 and now the latest 3.2.1.
>
>
> On Tue, May 27, 2014 at 5:35 PM, P. Taylor Goetz <ptgoetz@gmail.com>wrote:
>
> I'll do a couple tests, but for the most part it should just work on OSX,
> etc. (Storm releases are built on OSX).
>
>  What version of maven are you using? Have you tried with the latest
> version?
>
>  -Taylor
>
>
>  > On May 27, 2014, at 5:54 PM, Przemek Grzędzielski <
> przemo.grzedzielski@gmail.com> wrote:
>  >
>  > Hi guys,
>  >
>  > got exactly the same results trying to build storm (exactly the
> commands as mentioned).
>  > Tried on: Xubuntu 12.04.4 and OS X Mavericks 10.9.2.
>  > Would be great to know what's the cause of this issue :-/
>
>
>
>

Mime
View raw message